<?php
###########################
#Скрипт: Топ-Рейтинг	  #
#Автор: SL_NeKrOmAnT      #
#Версия: 1.2.1(Free)      #
#ICQ: 313886              #
#MAIL: maloy_s95@mail.ru  #
###########################
define('NTOP', 1);
$title = 'Статистика сайта';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
	$plaforms_no_moder = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '0'"));
	$plaforms_moder = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '1'"));
	$plaforms_all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait`"));
	$users_all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."users`"));
	$news_all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news`"));
	$cat_all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."cat`"));
	$yday_start = mktime(0, 0, 0, date("m"), (date("d")-1), date("Y"));
	$yday_finish = mktime(23, 59, 59, date('m'), (date('d')-1), date('Y'));
	$day_start = mktime(0, 0, 0, date("m"), date("d"), date("Y"));
	$day_finish = mktime(23, 59, 59, date('m'), date('d'), date('Y'));
	$day_host = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hosts` WHERE `time` BETWEEN '".$day_start."' AND '".$day_finish."'"));
	$day_hit = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$day_start."' AND '".$day_finish."'"));
	$yday_host = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hosts` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."'"));
	$yday_hit = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."'"));
	$all_host = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hosts`"));
	$all_hit = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits`"));
	$day_in = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$day_start."' AND '".$day_finish."' AND `type` = 'in'"));
	$day_out = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$day_start."' AND '".$day_finish."' AND `type` = 'out'"));
	$yday_in = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `type` = 'in'"));
	$yday_out = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `type` = 'out'"));
	$all_in = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `type` = 'in'"));
	$all_out = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `type` = 'out'"));
	$online = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_online`"));
		echo '<div class="title2">Полная статистика Топ-Рейтинга <br/></div>';
		echo '<div class="main">';
		echo 'Топ-Рейтинг запущен: <strong>'.data($set['install']).'</strong><br/>';
		echo 'Всего пользователей: <strong>'.$users_all.'</strong><br/>';
		echo 'Всего площадок: <strong>'.$plaforms_all.'</strong><br/>';
		echo 'Активированных площадок: <strong>'.$plaforms_moder.'</strong><br/>';
		echo 'Неактивированных площадок: <strong>'.$plaforms_no_moder.'</strong><br/>';
		echo 'Всего категорий: <strong>'.$cat_all.'</strong><br/>';
		echo 'Всего новостей: <strong>'.$news_all.'</strong><br/>';
		echo 'Всего хостов: <strong>'.$all_host.'</strong><br/>';
		echo 'Всего хитов: <strong>'.$all_hit.'</strong><br/>';
		echo 'Сегодня хостов: <strong>'.$day_host.'</strong><br/>';
		echo 'Сегодня хитов: <strong>'.$day_hit.'</strong><br/>';
		echo 'Вчера хостов: <strong>'.$yday_host.'</strong><br/>';
		echo 'Вчера хитов: <strong>'.$yday_hit.'</strong><br/>';
		echo 'Всего пришло в топ: <strong>'.$all_in.'</strong><br/>';
		echo 'Всего ушло из топа: <strong>'.$all_out.'</strong><br/>';
		echo 'Сегодня пришло в топ: <strong>'.$day_in.'</strong><br/>';
		echo 'Сегодня ушло из топа: <strong>'.$day_out.'</strong><br/>';
		echo 'Вчера пришло в топ: <strong>'.$yday_in.'</strong><br/>';
		echo 'Вчера ушло из топа: <strong>'.$yday_out.'</strong><br/>';
		echo 'Сейчас на сайтах сидит: <strong>'.$online.'</strong> человек(а)<br/>';
		echo '</div>';

require_once ('foot.php');
?>
